CVE-2005-3128
CVSS4.3
发布时间 :2005-10-04 18:02:00
修订时间 :2016-10-17 23:32:53
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in add.php in Address Add Plugin 1.9 and 2.0 for Squirrelmail allows remote attackers to inject arbitrary web script or HTML via the IMG tag.


[CNNVD]Squirrelmail Address Add Plugin 'add.php'跨站漏洞(CNNVD-200510-006)

        SquirrelMail是一款由PHP4语言编写,基于标准的webmail软件包。
        Squirrelmail Address Add Plugin 中的add.php存在XSS漏洞,攻击者通过IMG 标签可以插入任意的脚本或者HTML文件。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:squirrelmail:address_add_plugin:2.0
cpe:/a:squirrelmail:address_add_plugin:1.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3128
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3128
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-006
(官方数据源) CNNVD

- 其它链接及资源

http://docs.info.apple.com/article.html?artnum=306172
(UNKNOWN)  CONFIRM  http://docs.info.apple.com/article.html?artnum=306172
http://lists.apple.com/archives/security-announce//2007/Jul/msg00004.html
(UNKNOWN)  APPLE  APPLE-SA-2007-07-31
http://marc.info/?l=bugtraq&m=112801672520766&w=2
(UNKNOWN)  BUGTRAQ  20050928 SquirrelMail Address Add Plugin XSS
http://moritz-naumann.com/adv/0002/sqmadd/0002.txt
(VENDOR_ADVISORY)  MISC  http://moritz-naumann.com/adv/0002/sqmadd/0002.txt
http://securitytracker.com/id?1014988
(UNKNOWN)  SECTRACK  1014988
http://squirrelmail.org/plugin_view.php?id=101
(PATCH)  CONFIRM  http://squirrelmail.org/plugin_view.php?id=101
http://www.mandriva.com/security/advisories?name=MDKSA-2005:178
(UNKNOWN)  MANDRIVA  MDKSA-2005:178
http://www.securityfocus.com/bid/14973
(UNKNOWN)  BID  14973
http://www.securityfocus.com/bid/25159
(UNKNOWN)  BID  25159
http://www.vupen.com/english/advisories/2007/2732
(UNKNOWN)  VUPEN  ADV-2007-2732
http://xforce.iss.net/xforce/xfdb/22453
(PATCH)  XF  squirrelmail-add-xss(22453)

- 漏洞信息

Squirrelmail Address Add Plugin 'add.php'跨站漏洞
中危 跨站脚本
2005-10-04 00:00:00 2005-10-20 00:00:00
远程  
        SquirrelMail是一款由PHP4语言编写,基于标准的webmail软件包。
        Squirrelmail Address Add Plugin 中的add.php存在XSS漏洞,攻击者通过IMG 标签可以插入任意的脚本或者HTML文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://squirrelmail.org/plugin_view.php?id=101

- 漏洞信息

19723
SquirrelMail Address Add Plugin add.php first Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-09-28 2005-09-24
2005-09-28 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SquirrelMail Redirect.PHP Cookie Theft Vulnerability
Unknown 17005
Yes No
2006-03-07 12:00:00 2009-07-12 05:56:00
The vendor reported this vulnerability.

- 受影响的程序版本

SquirrelMail SquirrelMail 1.4.8
SquirrelMail SquirrelMail 1.4.6 -rc1
SquirrelMail SquirrelMail 1.4.6 -cvs
SquirrelMail SquirrelMail 1.4.6
SquirrelMail SquirrelMail 1.4.5
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 3.0
SquirrelMail SquirrelMail 1.4.4 RC1
SquirrelMail SquirrelMail 1.4.4
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1
+ Debian Linux 3.1
+ Debian Linux 3.1
+ Gentoo Linux
+ Gentoo Linux
+ Gentoo Linux
SquirrelMail SquirrelMail 1.4.3 RC1
SquirrelMail SquirrelMail 1.4.3 r3
+ Gentoo Linux
SquirrelMail SquirrelMail 1.4.3 a
+ Conectiva Linux 9.0
+ Red Hat Fedora Core3
+ Red Hat Fedora Core3
+ Red Hat Fedora Core3
+ Red Hat Fedora Core2
+ Red Hat Fedora Core2
SquirrelMail SquirrelMail 1.4.3
SquirrelMail SquirrelMail 1.4.2
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 3.0
+ Red Hat Fedora Core2
+ Red Hat Fedora Core2
+ Red Hat Fedora Core2
SquirrelMail SquirrelMail 1.4.1
SquirrelMail SquirrelMail 1.4 RC1
SquirrelMail SquirrelMail 1.4
SquirrelMail SquirrelMail 1.4.7

- 不受影响的程序版本

SquirrelMail SquirrelMail 1.4.7

- 漏洞讨论

SquirrelMail is prone to a cookie-theft vulnerability.

An attacker may leverage this issue to steal cookie-based authentication credentials and potentially carry out other attacks.

- 漏洞利用

An exploit is likely not required.

- 解决方案

The vendor has released version 1.47 -cvs to address this issue. The CVS fix is available from the vendor's web site.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站